import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class PStakeContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    pStakePool({ address, network }: ContractOpts): import("./ethers").PStakePool;
    pStakeStkToken({ address, network }: ContractOpts): import("./ethers").PStakeStkToken;
}
export type { PStakePool } from './ethers';
export type { PStakeStkToken } from './ethers';
